%
% CONEXIONES_SEGMENTOS Matriz de conexion de vertices a partir de segmentos
%
%  C = CONEXIONES_SEGMENTOS(segmentos) devuelve la matriz de conexiones C que indica con
%     quin est conectado cada vrtice. C es simtrica y contiene un 1 en aij cuando el 
%     vrtice i est conectado con el vrtice j a travs de un segmento
%
%  C = CONEXIONES_SEGMENTOS(segmentos,n) fuerza a que C tenga como mnimo dimensin nxn
%
function C = conexiones_segmentos(segmentos,n)

    if nargin < 1
        error('debe introducir una lista de segmentos');
    end	
    if nargin < 2
        n = 0; %valor por defecto
    end	

    %Calculamos la matriz de conectividad para cada vrtice
    nvertices = max(max(max(segmentos)),n);

    if nvertices > 0
	    
        C = zeros(nvertices);

        %Calculamos la matriz de conectividad para cada vrtice
        for j = 1:size(segmentos,1)
            C(segmentos(j,1),segmentos(j,2)) = 1;
            C(segmentos(j,2),segmentos(j,1)) = 1;
        end
    else
	C = [];
    end

return
