%
% DIBUJA_ALPHA_SHAPE representa grficamente la nube y el contorno
%
%  DIBUJA_ALPHA_SHAPE(a_shape)
%
function dibuja_alpha_shape(a_shape)

    if nargin < 1
        error('debe introducir un alpha-shape para visualizar');
    end	

    %Dibujamos puntos
    plot(a_shape.puntos(:,1),a_shape.puntos(:,2),'rp');

    title(sprintf('alpha-shape de la nube de puntos para alpha = %d',a_shape.alfa));
    xlabel('x');
    ylabel('y');
    hold on;

    %Dibujamos triangulacin de Delaunay
%    triplot(a_shape.triangulos_delaunay,a_shape.puntos(:,1),a_shape.puntos(:,2),'y:');

    %Dibujamos segmentos del alfa-complex
    for i = 1:size(a_shape.segmentos_alfa_complex,1)
        seg = a_shape.segmentos_alfa_complex(i,:);
        p1 = a_shape.puntos(seg(1),:);
        p2 = a_shape.puntos(seg(2),:);
 %       plot([p1(1),p2(1)],[p1(2),p2(2)],'g-');
    end

    %Dibujamos el contorno alfa-shape
    for i = 1:size(a_shape.segmentos_alfa_shape,1)
        seg = a_shape.segmentos_alfa_shape(i,:);
        p1 = a_shape.puntos(seg(1),:);
        p2 = a_shape.puntos(seg(2),:);
        plot([p1(1),p2(1)],[p1(2),p2(2)],'b-');
    end


return
