%
% GENERA_PUNTOS genera puntos aleatorios
%
%  puntos = GENERA_PUNTOS genera una matriz de 30 puntos (por defecto)
%     aleatorios con x,y comprendidos entre [-10,10].
%
%  puntos = GENERA_PUNTOS(n,xmin,xmax,ymin,ymax) genera una matriz de n puntos
%     aleatorios comprendidos entre el rango especificado.
%
function puntos = genera_puntos(n,xmin,xmax,ymin,ymax)

    if nargin < 1
        n = 30; %valor por defecto
    end	
    if nargin < 2
        xmin = -10; %valor por defecto
    end	
    if nargin < 3
        xmax = 10; %valor por defecto
    end	
    if nargin < 4
        ymin = -10; %valor por defecto
    end	
    if nargin < 5
        ymax = 10; %valor por defecto
    end	

    %precondiciones
    assert(xmin<xmax,'xmin tiene que ser menor que xmax');
    assert(ymin<ymax,'ymin tiene que ser menor que ymax');
    assert(n>0,'n tiene que ser menor que 0');

    rand('state',sum(100*clock)); %reseteamos la semilla de nmeros aleatorios

    %generamos puntos aleatorios dentro del rango, interpolando desde [0,1]
    puntos(1:n,1) = (xmax-xmin)*rand(n,1) + xmin;
    puntos(1:n,2) = (ymax-ymin)*rand(n,1) + ymin;

return
