%
% SEGMENTOS_TRIANGULOS segmentos de una triangulacin
%
%  [segmentos,C] = SEGMENTOS_TRIANGULOS(T) devuelve una matriz n x 2 de los segmentos
%     que forman la triangulacin. La triangulacin se puede obtener con DELAUNAYN, y es una
%   matriz de mx3. Tambin devuelve la matriz de conexion de vrtices, que indica con quin est
%   conectado cada vertice
%
function [segmentos,C] = segmentos_triangulos(T)

    if nargin < 1
        error('introduzca una triangulacin como parmetro');
    end	
    assert(size(T,2) == 3);

    %Calculamos la matriz de conectividad para cada vrtice
    nvertices = max(max(T));
    C = zeros(nvertices);
    for i = 1:size(T,1)
        A = nchoosek(T(i,:),2); %permutaciones de los vrtices
        for j = 1:size(A,1)
            C(A(j,1),A(j,2)) = 1;
            C(A(j,2),A(j,1)) = 1;
        end
    end

    %calculamos segmentos definidos por C
    segmentos = segmentos_c(C);

return
